Bug 1370460 - [RFE] Hammer Create subnet with option Discovery capsule and Remote Execution
Summary: [RFE] Hammer Create subnet with option Discovery capsule and Remote Execution
Keywords:
Status: NEW
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Networking
Version: 6.2.0
Hardware: x86_64
OS: Linux
high
high with 1 vote vote
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: Radovan Drazny
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-26 11:36 UTC by Anand Agrawal
Modified: 2021-08-09 16:30 UTC (History)
14 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-04 19:07:06 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 15249 0 Normal New Add support to hammer subnet to allow me to associate a capsule as my remote execution system 2021-02-18 10:15:23 UTC
Foreman Issue Tracker 21231 0 Normal New Hammer create subnet with option Discovery capsule 2021-02-18 10:15:23 UTC
Red Hat Knowledge Base (Solution) 3142651 0 None None None 2017-08-07 21:16:23 UTC

Comment 1 Anand Agrawal 2017-06-09 07:02:00 UTC
Copied from description section:

1. Proposed title of this feature request  
    Add 'host collection name' as a search parameter while creating filter with resource type = content host 

When creating a subnet via the hammer CLI, following options need to be exposed.
 Discovery Capsule
 Remote Execution
  
 
3. What is the nature and description of the request?  
   Currently while crating subnet there is no option for discovery capsule and remote execution 

   Customer would like to see these added.


4 How would the customer like to achieve this? (List the functional requirements here)  
    Customer would like to create subnet via hammer using the Discovery Capsule &  Remote Execution feature

  
6. For each functional requirement listed, specify how Red Hat and the customer can test to confirm the requirement is successfully implemented.  
    1 Goto Satellite terminal
    2 use hammer command to create subnet
    3 hammer subnet create --name="Subnet1" --remote-execution=""

  
7. Is there already an existing RFE upstream or in Red Hat Bugzilla?  
    NO
  
8. Does the customer have any specific timeline dependencies and which release would they like to target (i.e. RHEL5, RHEL6)?  
    No
  
9. Is the sales team involved in this request and do they have any additional input?  
    No

10. List any affected packages or components.  
    Hammmer
  

11. Would the customer be able to assist in testing this functionality if implemented?  
    Yes

Comment 5 Daniel Lobato Garcia 2017-10-06 11:08:45 UTC
Created redmine issue http://projects.theforeman.org/issues/21231 from this bug

Comment 7 Bryan Kearney 2018-09-04 18:56:37 UTC
Thank you for your interest in Satellite 6. We have evaluated this request, and we do not expect this to be implemented in the product in the foreseeable future. We are therefore closing this out as WONTFIX. If you have any concerns about this, please feel free to contact Rich Jerrido or Bryan Kearney. Thank you.

Comment 8 Bryan Kearney 2018-09-04 19:07:06 UTC
Thank you for your interest in Satellite 6. We have evaluated this request, and we do not expect this to be implemented in the product in the foreseeable future. We are therefore closing this out as WONTFIX. If you have any concerns about this, please feel free to contact Rich Jerrido or Bryan Kearney. Thank you.

Comment 10 Jan Hutař 2020-03-10 08:16:51 UTC
It is important to be able to set remote execution capsule via hammer as it is possible via UI. This is important in a workflow when you want to use ReX via capsules properly IMO.

Comment 11 Jan Hutař 2020-03-10 08:46:57 UTC
As a workaround, you can use API to setup ReX capsule for subnet:

# curl --silent --insecure -u ...:... -X PUT -H 'Accept: application/json' -H 'Content-Type: application/json' https://localhost//api/v2/subnets/subnet-caps1 -d '{"subnet": {"remote_execution_proxy_ids": ["2"]}}'

Unfortunately, it is not shown when getting that subnet back:

# curl --silent --insecure -u ...:... -X GET -H 'Accept: application/json' https://localhost//api/v2/subnets/subnet-caps1 | json_reformat | grep -i -e rex -e remote
<nothing>


Note You need to log in before you can comment on or make changes to this bug.